Safe Haskell | Safe-Inferred
Language | Haskell2010

DeprecatedClass

Synopsis

- class SomeClass a where
  - foo :: a -> a
- class SomeOtherClass a where
  - bar :: a -> a

# Documentation

class SomeClass a where #

Deprecated: SomeClass

some class

Methods

foo :: a -> a #

Deprecated: foo

documentation for foo

class SomeOtherClass a where #

Deprecated: SomeOtherClass

Methods

bar :: a -> a #

Deprecated: bar